<!-- IGAC proyecto SNC 

@author lorena.salamanca	
@description Caso de Uso Division Politica
@version 2.0
    
@modified lorena.salamanca Se actualiza para la migracion de PrimeFaces 3.2 
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                template="/templates/generalCU.xhtml">

    <ui:define name="content">

        <h:form id="formDiviPola" prependId="false">
            <p:messages id="msgsGS" showDetail="true" globalOnly="false" />

            <h:panelGrid columns="1">
                <p:fieldset legend="Administrar división política" toggleable="true"
                            toggleSpeed="500">

                    <h:panelGrid columns="4">
                        <h:panelGroup>
                            <h:outputLabel value="Departamento: "
                                           styleClass="outputLabelStyle" />
                            <h:outputLabel value="* " styleClass="requiredLabelStyle"
                                           rendered="true" />
                        </h:panelGroup>
                        <p:spacer height="0" width="10" />
                        <h:panelGroup>
                            <h:panelGrid columns="3">
                                <h:selectOneMenu id="departamentoSeleccionado"
                                                 label="Departamento"
                                                 value="#{divisionPolitica.selectedDepartamentoCod}"
                                                 required="true">
                                    <f:selectItems
                                        value="#{divisionPolitica.departamentosItemList}" />
                                    <p:ajax process="@this" update="formDiviPola"
                                            listener="#{divisionPolitica.onChangeDepartamentosListener}" />
                                </h:selectOneMenu>
                                <p:message id="departamentoMsg" for="departamentoSeleccionado"
                                           display="icon" />
                                <p:commandLink id="btnOrdenDepartamentos"
                                               update="btnOrdenDepartamentos, departamentoSeleccionado"
                                               title="Ordenar departamentos"
                                               action="#{divisionPolitica.cambiarOrdenDepartamentos}"
                                               ajax="true" immediate="true">
                                    <p:graphicImage
                                        rendered="#{divisionPolitica.departamentosOrderedByNombre}"
                                        style="border: none" value="/images/sortCode.png" />
                                    <p:graphicImage
                                        rendered="#{!divisionPolitica.departamentosOrderedByNombre}"
                                        style="border: none" value="/images/sortText.png" />
                                </p:commandLink>
                            </h:panelGrid>
                        </h:panelGroup>

                        <p:spacer height="0" width="13" />

                        <h:panelGroup>
                            <h:outputLabel value="Municipio: " styleClass="outputLabelStyle" />
                            <h:outputLabel value="* " styleClass="requiredLabelStyle"
                                           rendered="true" />
                        </h:panelGroup>
                        <p:spacer height="0" width="10" />
                        <h:panelGroup>
                            <h:panelGrid columns="3">
                                <h:selectOneMenu id="consultaPredioMunicipio" label="Municipio"
                                                 value="#{divisionPolitica.selectedMunicipioCod}"
                                                 required="true">
                                    <f:selectItems value="#{divisionPolitica.municipiosItemList}" />
                                    <p:ajax process="@this" update="formDiviPola"
                                            listener="#{divisionPolitica.onChangeMunicipiosListener}" />
                                </h:selectOneMenu>
                                <p:message id="municipioMsg" for="consultaPredioMunicipio"
                                           display="icon" />
                                <p:commandLink id="btnOrdenMunicipios"
                                               update="btnOrdenMunicipios, consultaPredioMunicipio"
                                               title="Ordenar municipios"
                                               action="#{divisionPolitica.cambiarOrdenMunicipios}" ajax="true"
                                               immediate="true">
                                    <p:graphicImage
                                        rendered="#{divisionPolitica.municipiosOrderedByNombre}"
                                        style="border: none" value="/images/sortCode.png" />
                                    <p:graphicImage
                                        rendered="#{!divisionPolitica.municipiosOrderedByNombre}"
                                        style="border: none" value="/images/sortText.png" />
                                </p:commandLink>
                            </h:panelGrid>
                        </h:panelGroup>

                        <p:spacer height="0" width="13" />

                        <h:panelGroup>
                            <h:outputLabel value="Zona: " styleClass="outputLabelStyle" />
                            <h:outputLabel value="* " styleClass="requiredLabelStyle"
                                           rendered="true" />
                        </h:panelGroup>
                        <p:spacer height="0" width="10" />
                        <h:panelGroup rendered="true">
                            <h:panelGrid columns="3">
                                <h:selectOneMenu id="zonaSeleccionada" label="Zona"
                                                 value="#{divisionPolitica.selectedZonaCod}" required="true">
                                    <f:selectItems value="#{divisionPolitica.zonasItemList}" />
                                    <p:ajax process="@this" update="formDiviPola"
                                            listener="#{divisionPolitica.onChangeZonaListener}" />
                                </h:selectOneMenu>
                                <p:message id="zonaMsg" for="zonaSeleccionada" display="icon" />
                                <p:commandLink id="btnOrdenZonas"
                                               update="btnOrdenZonas, zonaSeleccionada" title="Ordenar zonas"
                                               action="#{divisionPolitica.cambiarOrdenZonas}" ajax="true"
                                               immediate="true">
                                    <p:graphicImage
                                        rendered="#{divisionPolitica.zonasOrderedByNombre}"
                                        style="border: none" value="/images/sortCode.png" />
                                    <p:graphicImage
                                        rendered="#{!divisionPolitica.zonasOrderedByNombre}"
                                        style="border: none" value="/images/sortText.png" />
                                </p:commandLink>
                            </h:panelGrid>
                        </h:panelGroup>

                        <p:spacer height="0" width="13" />

                        <h:panelGroup>
                            <h:outputLabel value="Sector: " styleClass="outputLabelStyle" />
                            <h:outputLabel value="* " styleClass="requiredLabelStyle"
                                           rendered="true" />
                        </h:panelGroup>
                        <p:spacer height="0" width="10" />

                        <h:panelGroup rendered="true">
                            <h:panelGrid columns="3">
                                <h:selectOneMenu id="sectorSeleccionado" label="Sector"
                                                 value="#{divisionPolitica.selectedSectorCod}" required="true">
                                    <f:selectItems value="#{divisionPolitica.sectoresItemList}" />
                                    <p:ajax process="@this" update="formDiviPola"
                                            listener="#{divisionPolitica.onChangeSectorListener}" />
                                </h:selectOneMenu>
                                <p:message id="sectorMsg" for="sectorSeleccionado"
                                           display="icon" />
                                <p:commandLink id="btnOrdenSectores"
                                               update="btnOrdenSectores, sectorSeleccionado"
                                               title="Ordenar sectores"
                                               action="#{divisionPolitica.cambiarOrdenSectores}" ajax="true"
                                               immediate="true">
                                    <p:graphicImage
                                        rendered="#{divisionPolitica.sectoresOrderedByNombre}"
                                        style="border: none" value="/images/sortCode.png" />
                                    <p:graphicImage
                                        rendered="#{!divisionPolitica.sectoresOrderedByNombre}"
                                        style="border: none" value="/images/sortText.png" />
                                </p:commandLink>
                            </h:panelGrid>
                        </h:panelGroup>

                        <p:spacer height="0" width="13" />

                        <h:panelGroup>
                            <h:outputLabel value="Comuna: " styleClass="outputLabelStyle" />
                            <h:outputLabel value="* " styleClass="requiredLabelStyle"
                                           rendered="true" />
                        </h:panelGroup>
                        <p:spacer height="0" width="10" />
                        <h:panelGroup rendered="true">
                            <h:panelGrid columns="3">
                                <h:selectOneMenu id="comunaSeleccionada" label="Zona"
                                                 value="#{divisionPolitica.selectedComunaCod}" required="true">
                                    <f:selectItems value="#{divisionPolitica.comunasItemList}" />
                                    <p:ajax process="@this" update="formDiviPola"
                                            listener="#{divisionPolitica.onChangeComunaListener}" />
                                </h:selectOneMenu>
                                <p:message id="comunaMsg" for="comunaSeleccionada"
                                           display="icon" />
                                <p:commandLink id="btnOrdenComunas"
                                               update="btnOrdenComunas, comunaSeleccionada"
                                               title="Ordenar comunas"
                                               action="#{divisionPolitica.cambiarOrdenComunas}" ajax="true"
                                               immediate="true">
                                    <p:graphicImage
                                        rendered="#{divisionPolitica.comunasOrderedByNombre}"
                                        style="border: none" value="/images/sortCode.png" />
                                    <p:graphicImage
                                        rendered="#{!divisionPolitica.comunasOrderedByNombre}"
                                        style="border: none" value="/images/sortText.png" />
                                </p:commandLink>
                            </h:panelGrid>
                        </h:panelGroup>

                        <p:spacer height="0" width="13" />

                        <h:panelGroup>
                            <h:outputLabel value="Barrio: " styleClass="outputLabelStyle" />
                            <h:outputLabel value="* " styleClass="requiredLabelStyle"
                                           rendered="true" />
                        </h:panelGroup>
                        <p:spacer height="0" width="10" />
                        <h:panelGroup rendered="true">
                            <h:panelGrid columns="3">
                                <h:selectOneMenu id="barrioSeleccionado" label="Barrio"
                                                 value="#{divisionPolitica.selectedBarrioCod}" required="true">
                                    <f:selectItems value="#{divisionPolitica.barriosItemList}" />
                                    <p:ajax process="@this" update="formDiviPola"
                                            listener="#{divisionPolitica.onChangeBarrioListener}" />
                                </h:selectOneMenu>
                                <p:message id="barrioMsg" for="barrioSeleccionado"
                                           display="icon" />
                                <p:commandLink id="btnOrdenBarrio"
                                               update="btnOrdenBarrio, barrioSeleccionado"
                                               title="Ordenar barrios"
                                               action="#{divisionPolitica.cambiarOrdenBarrios}" ajax="true"
                                               immediate="true">
                                    <p:graphicImage
                                        rendered="#{divisionPolitica.barriosOrderedByNombre}"
                                        style="border: none" value="/images/sortCode.png" />
                                    <p:graphicImage
                                        rendered="#{!divisionPolitica.barriosOrderedByNombre}"
                                        style="border: none" value="/images/sortText.png" />
                                </p:commandLink>
                            </h:panelGrid>
                        </h:panelGroup>

                        <p:spacer height="0" width="13" />

                        <h:panelGroup>
                            <h:outputLabel value="Manzana / Vereda: "
                                           styleClass="outputLabelStyle" />
                            <h:outputLabel value="* " styleClass="requiredLabelStyle"
                                           rendered="true" />
                        </h:panelGroup>
                        <p:spacer height="0" width="10" />
                        <h:panelGroup rendered="true">
                            <h:panelGrid columns="3">
                                <h:selectOneMenu id="manzanaVeredaSeleccionada"
                                                 label="Manzana / Vereda"
                                                 value="#{divisionPolitica.selectedManzanaVeredaCod}"
                                                 required="true">
                                    <f:selectItems
                                        value="#{divisionPolitica.manzanasveredasItemList}" />
                                    <p:ajax process="@this" update="formDiviPola" 
                                            listener="#{divisionPolitica.onChangeManzanaListener}"/>
                                </h:selectOneMenu>
                                <p:message id="manzanaVeredaMsg" for="manzanaVeredaSeleccionada"
                                           display="icon" />
                                <p:commandLink id="btnOrdenManzanaVereda"
                                               update="btnOrdenManzanaVereda, manzanaVeredaSeleccionada"
                                               title="Ordenar Manzanas / Veredas"
                                               action="#{divisionPolitica.cambiarOrdenManzanasVeredas}"
                                               ajax="true" immediate="true">
                                    <p:graphicImage
                                        rendered="#{divisionPolitica.manzanasveredasOrderedByNombre}"
                                        style="border: none" value="/images/sortCode.png" />
                                    <p:graphicImage
                                        rendered="#{!divisionPolitica.manzanasveredasOrderedByNombre}"
                                        style="border: none" value="/images/sortText.png" />
                                </p:commandLink>
                            </h:panelGrid>
                        </h:panelGroup>
                    </h:panelGrid>
                </p:fieldset>

                <h:panelGrid id="grupoDepartamento" columns="1">
                    <h:panelGrid columns="3">
                        <h:outputLabel value="Departamento: "
                                       styleClass="outputLabelStyle" />
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{divisionPolitica.selectedDepartamentoCod}" />
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{divisionPolitica.departamentoNombre}" />
                    </h:panelGrid>
                    <h:panelGrid columns="3">
                        <p:commandButton title="Agregar Departamento"
                                         label="Agregar Departamento" value="Agregar Departamento"
                                         icon="ui-icon-plus" oncomplete="dlgAgregarWV.show()"
                                         process="@this" update=":agregarDialogForm">
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.selectedDepartamentoCod}"
                                target="#{divisionPolitica.codigoIngresado}" />
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.departamentoNombre}"
                                target="#{divisionPolitica.nombreIngresado}" />
                        </p:commandButton>
                        <p:commandButton title="Modificar Departamento" process="@this"
                                         label="Modificar Departamento" value="Modificar Departamento"
                                         icon="ui-icon-pencil" oncomplete="dlgModificarWV.show()"
                                         update=":modificarDialogForm">
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.selectedDepartamentoCod}"
                                target="#{divisionPolitica.codigoIngresado}" />
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.departamentoNombre}"
                                target="#{divisionPolitica.nombreIngresado}" />
                        </p:commandButton>
                        <p:commandButton title="Eliminar Departamento" process="@this"
                                         label="Eliminar Departamento" value="Eliminar Departamento"
                                         icon="ui-icon-trash" oncomplete="dlgEliminarWV.show()"
                                         update=":eliminarDialogForm">
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.selectedDepartamentoCod}"
                                target="#{divisionPolitica.codigoIngresado}" />
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.departamentoNombre}"
                                target="#{divisionPolitica.nombreIngresado}" />
                        </p:commandButton>
                    </h:panelGrid>
                </h:panelGrid>

                <h:panelGrid id="grupoMunicipio" columns="1" rendered="#{!divisionPolitica.municipioGrupoFlag}">
                    <h:panelGrid columns="3">
                        <h:outputLabel value="Municipio: " styleClass="outputLabelStyle" />
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{divisionPolitica.selectedMunicipioCod}" />
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{divisionPolitica.municipioNombre}" />
                    </h:panelGrid>
                    <h:panelGrid columns="3">
                        <p:commandButton title="Agregar Municipio"
                                         label="Agregar Municipio" value="Agregar Municipio"
                                         icon="ui-icon-plus" oncomplete="dlgAgregarWV.show()"
                                         process="@this" update=":agregarDialogForm">
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.selectedMunicipioCod}"
                                target="#{divisionPolitica.codigoIngresado}" />
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.municipioNombre}"
                                target="#{divisionPolitica.nombreIngresado}" />
                        </p:commandButton>
                        <p:commandButton title="Modificar Municipio" process="@this"
                                         label="Modificar Municipio" value="Modificar Municipio"
                                         icon="ui-icon-pencil" oncomplete="dlgModificarWV.show()"
                                         update=":modificarDialogForm">
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.selectedMunicipioCod}"
                                target="#{divisionPolitica.codigoIngresado}" />
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.municipioNombre}"
                                target="#{divisionPolitica.nombreIngresado}" />
                        </p:commandButton>
                        <p:commandButton title="Eliminar Municipio" process="@this"
                                         label="Eliminar Municipio" value="Eliminar Municipio"
                                         icon="ui-icon-trash" oncomplete="dlgEliminarWV.show()"
                                         update=":eliminarDialogForm">
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.selectedMunicipioCod}"
                                target="#{divisionPolitica.codigoIngresado}" />
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.municipioNombre}"
                                target="#{divisionPolitica.nombreIngresado}" />
                        </p:commandButton>
                    </h:panelGrid>
                </h:panelGrid>

                <h:panelGrid id="grupoZona" columns="1" rendered="#{!divisionPolitica.zonaGrupoFlag}">
                    <h:panelGrid columns="3">
                        <h:outputLabel value="Zona: " styleClass="outputLabelStyle" />
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{divisionPolitica.selectedZonaCod}" />
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{divisionPolitica.zonaNombre}" />
                    </h:panelGrid>
                    <h:panelGrid columns="3">
                        <p:commandButton title="Agregar Zona" label="Agregar Municipio"
                                         value="Agregar Zona" icon="ui-icon-plus"
                                         oncomplete="dlgAgregarWV.show()" process="@this"
                                         update=":agregarDialogForm">
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.selectedZonaCod}"
                                target="#{divisionPolitica.codigoIngresado}" />
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.zonaNombre}"
                                target="#{divisionPolitica.nombreIngresado}" />
                        </p:commandButton>
                        <p:commandButton title="Modificar Zona" process="@this"
                                         label="Modificar Zona" value="Modificar Zona"
                                         icon="ui-icon-pencil" oncomplete="dlgModificarWV.show()"
                                         update=":modificarDialogForm">
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.selectedZonaCod}"
                                target="#{divisionPolitica.codigoIngresado}" />
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.zonaNombre}"
                                target="#{divisionPolitica.nombreIngresado}" />
                        </p:commandButton>
                        <p:commandButton title="Eliminar Zona" process="@this"
                                         label="Eliminar Zona" value="Eliminar Zona" icon="ui-icon-trash"
                                         oncomplete="dlgEliminarWV.show()" update=":eliminarDialogForm">
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.selectedZonaCod}"
                                target="#{divisionPolitica.codigoIngresado}" />
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.zonaNombre}"
                                target="#{divisionPolitica.nombreIngresado}" />
                        </p:commandButton>
                    </h:panelGrid>
                </h:panelGrid>

                <h:panelGrid id="grupoSector" columns="1" rendered="#{!divisionPolitica.sectorGrupoFlag}">
                    <h:panelGrid columns="3">
                        <h:outputLabel value="Sector: " styleClass="outputLabelStyle" />
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{divisionPolitica.selectedSectorCod}" />
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{divisionPolitica.sectorNombre}" />
                    </h:panelGrid>
                    <h:panelGrid columns="3">
                        <p:commandButton title="Agregar Sector" label="Agregar Sector"
                                         value="Agregar Sector" icon="ui-icon-plus"
                                         oncomplete="dlgAgregarWV.show()" process="@this"
                                         update=":agregarDialogForm">
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.selectedSectorCod}"
                                target="#{divisionPolitica.codigoIngresado}" />
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.sectorNombre}"
                                target="#{divisionPolitica.nombreIngresado}" />
                        </p:commandButton>
                        <p:commandButton title="Modificar Sector" process="@this"
                                         label="Modificar Sector" value="Modificar Sector"
                                         icon="ui-icon-pencil" oncomplete="dlgModificarWV.show()"
                                         update=":modificarDialogForm">
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.selectedSectorCod}"
                                target="#{divisionPolitica.codigoIngresado}" />
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.sectorNombre}"
                                target="#{divisionPolitica.nombreIngresado}" />
                        </p:commandButton>
                        <p:commandButton title="Eliminar Sector" process="@this"
                                         label="Eliminar Sector" value="Eliminar Sector"
                                         icon="ui-icon-trash" oncomplete="dlgEliminarWV.show()"
                                         update=":eliminarDialogForm">
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.selectedSectorCod}"
                                target="#{divisionPolitica.codigoIngresado}" />
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.sectorNombre}"
                                target="#{divisionPolitica.nombreIngresado}" />
                        </p:commandButton>
                    </h:panelGrid>
                </h:panelGrid>

                <h:panelGrid id="grupoComuna" columns="1" rendered="#{!divisionPolitica.comunaGrupoFlag}">
                    <h:panelGrid columns="3">
                        <h:outputLabel value="Comuna: " styleClass="outputLabelStyle" />
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{divisionPolitica.selectedComunaCod}" />
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{divisionPolitica.comunaNombre}" />
                    </h:panelGrid>
                    <h:panelGrid columns="3">
                        <p:commandButton title="Agregar Comuna" label="Agregar Comuna"
                                         value="Agregar Comuna" icon="ui-icon-plus"
                                         oncomplete="dlgAgregarWV.show()" process="@this"
                                         update=":agregarDialogForm">
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.selectedComunaCod}"
                                target="#{divisionPolitica.codigoIngresado}" />
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.comunaNombre}"
                                target="#{divisionPolitica.nombreIngresado}" />
                        </p:commandButton>
                        <p:commandButton title="Modificar Comuna" process="@this"
                                         label="Modificar Comuna" value="Modificar Comuna"
                                         icon="ui-icon-pencil" oncomplete="dlgModificarWV.show()"
                                         update=":modificarDialogForm">
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.selectedComunaCod}"
                                target="#{divisionPolitica.codigoIngresado}" />
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.comunaNombre}"
                                target="#{divisionPolitica.nombreIngresado}" />
                        </p:commandButton>
                        <p:commandButton title="Eliminar Comuna" process="@this"
                                         label="Eliminar Comuna" value="Eliminar Comuna"
                                         icon="ui-icon-trash" oncomplete="dlgEliminarWV.show()"
                                         update=":eliminarDialogForm">
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.selectedComunaCod}"
                                target="#{divisionPolitica.codigoIngresado}" />
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.comunaNombre}"
                                target="#{divisionPolitica.nombreIngresado}" />
                        </p:commandButton>
                    </h:panelGrid>
                </h:panelGrid>

                <h:panelGrid id="grupoBarrio" columns="1" rendered="#{!divisionPolitica.barrioGrupoFlag}">
                    <h:panelGrid columns="3">
                        <h:outputLabel value="Barrio: " styleClass="outputLabelStyle" />
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{divisionPolitica.selectedBarrioCod}" />
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{divisionPolitica.barrioNombre}" />
                    </h:panelGrid>
                    <h:panelGrid columns="3">
                        <p:commandButton title="Agregar Barrio" label="Agregar Barrio"
                                         value="Agregar Barrio" icon="ui-icon-plus"
                                         oncomplete="dlgAgregarWV.show()" process="@this"
                                         update=":agregarDialogForm">
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.selectedBarrioCod}"
                                target="#{divisionPolitica.codigoIngresado}" />
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.barrioNombre}"
                                target="#{divisionPolitica.nombreIngresado}" />
                        </p:commandButton>
                        <p:commandButton title="Modificar Barrio" process="@this"
                                         label="Modificar Barrio" value="Modificar Barrio"
                                         icon="ui-icon-pencil" oncomplete="dlgModificarWV.show()"
                                         update=":modificarDialogForm">
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.selectedBarrioCod}"
                                target="#{divisionPolitica.codigoIngresado}" />
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.barrioNombre}"
                                target="#{divisionPolitica.nombreIngresado}" />
                        </p:commandButton>
                        <p:commandButton title="Eliminar Barrio" process="@this"
                                         label="Eliminar Barrio" value="Eliminar Barrio"
                                         icon="ui-icon-trash" oncomplete="dlgEliminarWV.show()"
                                         update=":eliminarDialogForm">
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.selectedBarrioCod}"
                                target="#{divisionPolitica.codigoIngresado}" />
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.barrioNombre}"
                                target="#{divisionPolitica.nombreIngresado}" />
                        </p:commandButton>
                    </h:panelGrid>
                </h:panelGrid>

                <h:panelGrid id="grupoManzana" columns="1" rendered="#{!divisionPolitica.manzanaVeredaGrupoFlag}">
                    <h:panelGrid columns="3">
                        <h:outputLabel value="Manzana / Vereda: "
                                       styleClass="outputLabelStyle" />
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{divisionPolitica.selectedManzanaVeredaCod}" />
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{divisionPolitica.manzanaVeredaNombre}" />
                    </h:panelGrid>
                    <h:panelGrid columns="3">
                        <p:commandButton title="Agregar Manzana / Vereda"
                                         label="Agregar Manzana / Vereda" value="Agregar Manzana / Vereda"
                                         icon="ui-icon-plus" oncomplete="dlgAgregarWV.show()"
                                         process="@this" update=":agregarDialogForm">
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.selectedManzanaVeredaCod}"
                                target="#{divisionPolitica.codigoIngresado}" />
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.manzanaVeredaNombre}"
                                target="#{divisionPolitica.nombreIngresado}" />
                        </p:commandButton>
                        <p:commandButton title="Modificar Manzana / Vereda"
                                         process="@this" label="Modificar Manzana / Vereda"
                                         value="Modificar Manzana / Vereda" icon="ui-icon-pencil"
                                         oncomplete="dlgModificarWV.show()" update=":modificarDialogForm">
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.selectedManzanaVeredaCod}"
                                target="#{divisionPolitica.codigoIngresado}" />
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.manzanaVeredaNombre}"
                                target="#{divisionPolitica.nombreIngresado}" />
                        </p:commandButton>
                        <p:commandButton title="Eliminar Manzana / Vereda" process="@this"
                                         label="Eliminar Manzana / Vereda"
                                         value="Eliminar Manzana / Vereda" icon="ui-icon-trash"
                                         oncomplete="dlgEliminarWV.show()" update=":eliminarDialogForm">
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.selectedManzanaVeredaCod}"
                                target="#{divisionPolitica.codigoIngresado}" />
                            <f:setPropertyActionListener
                                value="#{divisionPolitica.manzanaVeredaNombre}"
                                target="#{divisionPolitica.nombreIngresado}" />
                        </p:commandButton>
                    </h:panelGrid>
                </h:panelGrid>
            </h:panelGrid>
        </h:form>

        <p:dialog id="dlgAgregar" widgetVar="dlgAgregarWV" width="230"
                  height="80" header="Agregar Entidad" modal="true" appendToBody="true"
                  resizable="true" position="center">
            <h:form id="agregarDialogForm">
                <h:panelGrid columns="2">
                    <h:outputLabel value="Código" styleClass="outputLabelStyle" />
                    <h:inputText value="#{divisionPolitica.codigoIngresado}" size="20" />
                    <h:outputLabel value="Nombre" styleClass="outputLabelStyle" />
                    <h:inputText value="#{divisionPolitica.nombreIngresado}" size="30" />
                </h:panelGrid>
                <h:panelGrid columns="2">
                    <p:commandButton value="Agregar"
                                     action="#{divisionPolitica.agregar}" onclick="dlgAgregarWV.hide()"
                                     update=":formDiviPola" />
                    <p:commandButton value="Cancelar" onclick="dlgAgregarWV.hide()" />
                </h:panelGrid>
            </h:form>
        </p:dialog>

        <p:dialog id="dlgModificar" widgetVar="dlgModificarWV" width="230"
                  height="80" header="Modificar Entidad">
            <h:form id="modificarDialogForm">
                <h:panelGrid columns="2">
                    <h:outputLabel value="Código" styleClass="outputLabelStyle" />
                    <h:outputText value="#{divisionPolitica.codigoIngresado}" />
                    <h:outputLabel value="Nombre" styleClass="outputLabelStyle" />
                    <h:inputText value="#{divisionPolitica.nombreIngresado}" size="30" />
                </h:panelGrid>
                <h:panelGrid columns="2">
                    <p:commandButton value="Modificar" update=":formDiviPola"
                                     action="#{divisionPolitica.modificar}"
                                     onclick="dlgModificarWV.hide()" />
                    <p:commandButton value="Cancelar" onclick="dlgModificarWV.hide()" />
                </h:panelGrid>
            </h:form>
        </p:dialog>

        <p:dialog id="dlgEliminar" widgetVar="dlgEliminarWV" width="230"
                  height="80" header="Eliminar Entidad">
            <h:form id="eliminarDialogForm">
                <h:panelGrid columns="3">
                    <h:outputLabel value="Desea eliminar "
                                   styleClass="outputLabelStyle" />
                    <h:outputText value="#{divisionPolitica.nombreIngresado}" />
                    <h:outputLabel value="? " styleClass="outputLabelStyle" />
                </h:panelGrid>
                <h:panelGrid columns="2">
                    <p:commandButton value="Eliminar" update=":formDiviPola"
                                     action="#{divisionPolitica.borrar}" immediate="true"
                                     onclick="dlgEliminarWV.hide()" />
                    <p:commandButton value="Cancelar" onclick="dlgEliminarWV.hide()" />
                </h:panelGrid>
            </h:form>
        </p:dialog>
    </ui:define>
</ui:composition>